%define gstapi 1.0

Summary:	Audio recorder for the GNOME
Name:		audio-recorder
Version:	1.6
Release:	5
License:	GPLv3+
Group:		Sound
Url:		https://launchpad.net/audio-recorder
Source0:	https://launchpad.net/audio-recorder/trunk/version%{version}-2/+download/%{name}-%{version}-2.tar.gz
Source1:        audio-recorder_ru.po.tar.gz
Patch0:		audio-recorder-correct-desktop-menu.patch
Patch1:		audio-recorder-1.6-2-fix-clash-with-GtkLevelBar-from-Gtk3.patch
Patch2:         audio-recorder-1.6-no-autostart.patch
BuildRequires:	intltool
BuildRequires:	perl
BuildRequires:	perl(XML::Parser)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(dconf)
BuildRequires:	pkgconfig(glib-2.0) >= 2.14.0
BuildRequires:	pkgconfig(gstreamer-%{gstapi}) >= 1.4.0
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(appindicator3-0.1)
BuildRequires:	pkgconfig(libpulse)
Requires:	gstreamer%{gstapi}-plugins-bad
Requires:	gstreamer%{gstapi}-plugins-base
Requires:	gstreamer%{gstapi}-plugins-good
Suggests:	gstreamer%{gstapi}-plugins-ugly

%description
Audio-recorder allows you to record your favourite music or audio to a file.
It can record audio from your system's soundcard, microphones, browsers,
webcams & more.
Put simply: if it plays out of your loudspeakers you can record it.

%files -f %{name}.lang
%doc ChangeLog README COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_iconsdir}/hicolor/scalable/*/%{name}*.svg
%{_datadir}/pixmaps/%{name}/*
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

pushd po
tar -xvzf %{SOURCE1}
popd

%build
# Needed by P1
autoreconf -vfi
%configure2_5x
%make


%install
%makeinstall_std

%find_lang %{name}

# We have it already in doc
rm -f %{buildroot}%{_datadir}/%{name}/COPYING


%changelog

* Wed Feb 03 2016 Victor Ryzhikh <victorr2007@yandex.ru> 1.6-5
- (69dfd87) Updated Russian translation


